Xalan-Java 2.7.1: Class DTMDefaultBaseIterators.SingletonIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm.ref
Class DTMDefaultBaseIterators.SingletonIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
                  |
                  +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.SingletonIterator

Direct Known Subclasses:
  DTMDefaultBaseIterators.TypedSingletonIterator, SAX2DTM2.TypedSingletonIterator

public class DTMDefaultBaseIterators.SingletonIterator
extends DTMDefaultBaseIterators.InternalAxisIteratorBase

Class SingletonIterator.

Constructor Summary
`DTMDefaultBaseIterators.SingletonIterator()` Constructor SingletonIterator
`DTMDefaultBaseIterators.SingletonIterator(int node)` Constructor SingletonIterator
`DTMDefaultBaseIterators.SingletonIterator(int node, boolean constant)` Constructor SingletonIterator

Method Summary
`int` | `next()` Get the next node in the iteration.
`DTMAxisIterator` | `reset()` Resets the iterator to the last start node.
`DTMAxisIterator` | `setStartNode(int node)` Set start to END should 'close' the iterator, i.e.

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
`gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMDefaultBaseIterators.SingletonIterator

    public DTMDefaultBaseIterators.SingletonIterator()

  Constructor SingletonIterator

### DTMDefaultBaseIterators.SingletonIterator

    public DTMDefaultBaseIterators.SingletonIterator(int node)

  Constructor SingletonIterator
  Parameters:
    `node` - The node handle to return.

### DTMDefaultBaseIterators.SingletonIterator

    public DTMDefaultBaseIterators.SingletonIterator(int node,
                                                     boolean constant)

  Constructor SingletonIterator
  Parameters:
    `node` - the node handle to return.
    `constant` - (Not sure what this is yet. -sb)

Method Detail

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.
  Parameters:
    `node` - Sets the root of the iteration.
  Returns:
    A DTMAxisIterator set to the start of the iteration.

### reset

    public DTMAxisIterator reset()

  Resets the iterator to the last start node.
  Returns:
    A DTMAxisIterator, which may or may not be the same as this iterator.
  Overrides:
    reset in class DTMAxisIteratorBase

### next

    public int next()

  Get the next node in the iteration.
  Returns:
    The next node handle in the iteration, or END.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.